Page 1 of 2 12 LastLast
Results 1 to 10 of 11

Thread: what ver. to install on ubuntu

  1. #1
    Join Date
    Oct 2012
    Beans
    42

    Cool what ver. to install on ubuntu

    I would like to interface java to mysql on ubuntu. Would anyone have any suggestions what version of mysql should I install on ubuntu. It is not for commercial dev only to mess around and see what's possible.
    Thanks.

  2. #2
    Join Date
    Jan 2008
    Beans
    7,749

    Re: what ver. to install on ubuntu

    Generally speaking I would recommend installing the stable, tested, and trusted version that's in the repositories for your Ubuntu release. Is there a reason you want/need to install a different, unsupported version?

    https://help.ubuntu.com/12.04/serverguide/mysql.html

  3. #3
    Join Date
    Oct 2012
    Beans
    42

    Cool Re: what ver. to install on ubuntu

    "Generally speaking I would recommend installing the stable, tested, and trusted version...", well, which one is that then?
    Thanks for the link, part of what I am looking for.
    Thanks.

  4. #4
    Join Date
    Jan 2008
    Beans
    7,749

    Re: what ver. to install on ubuntu

    Since I am not a mind-reader I don't know which Ubuntu release you are running. Each Ubuntu release uses whatever mysql was stable at the time it was released.

    To find out the available version of any package you can use "apt-cache policy":

    Code:
    apt-cache policy mysql-server
    Apologies if I overestimated your Ubuntu experience. Here is a how-to that covers the basics of installing software in Ubuntu: https://help.ubuntu.com/community/InstallingSoftware

  5. #5
    Join Date
    Oct 2012
    Beans
    42

    Cool Re: what ver. to install on ubuntu

    mysql-server:
    Installed: (none)
    Candidate: 5.5.24-0ubuntu0.12.04.1
    Version table:
    5.5.24-0ubuntu0.12.04.1 0

  6. #6
    Join Date
    Jan 2008
    Beans
    7,749

    Re: what ver. to install on ubuntu

    That's a pretty good version, go for it!

  7. #7
    Join Date
    Oct 2012
    Beans
    42

    Re: what ver. to install on ubuntu

    OK, I am going to install "Mysql server"! Thanks.


    In regard to your comment; “Apologies if I overestimated your Ubuntu experience ...”, I did not have to do anything except downloading it twice that fixed the initial problem with my resolution and reconnect my mouse, just flawless experience otherwise.

  8. #8
    Join Date
    Jan 2008
    Beans
    7,749

    Re: what ver. to install on ubuntu

    Since you mention "screen resolution and mouse" I'm assuming this is a desktop, not a server, install?

    In that case you don't even have to use terminal commands if you don't want, you can use the point-and-click Ubuntu Software Center as described here: http://www.psychocats.net/ubuntu/installingsoftware

  9. #9
    Join Date
    Oct 2012
    Beans
    42

    Re: what ver. to install on ubuntu

    Yes, it is desktop.
    OK, there are three versions of it: 1) Development Libraries, 2) Client Utilities, and 3) Test Suite in 32 bit. Do I need all of them or should I need only the (2).
    Thanks.

  10. #10
    Join Date
    Jan 2008
    Beans
    7,749

    Re: what ver. to install on ubuntu

    Quote Originally Posted by workaround View Post
    Yes, it is desktop.
    OK, there are three versions of it: 1) Development Libraries, 2) Client Utilities, and 3) Test Suite in 32 bit. Do I need all of them or should I need only the (2).
    Thanks.
    Since your stated goal is to "mess around and see what's possible" only you can answer that question. Each of those packages you mention has its purpose and if that's something you want to mess around with then go for it.

    If your goal is specifically to create MySQL databases then I recommend you install the package mysql-server and follow the how-to I linked in post #2.

Page 1 of 2 12 LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •